{pkgs, ...}: {
  stylix = {
    enable = true;

    #base16Scheme = "${pkgs.base16-schemes}/share/themes/pinky.yaml";

    base16Scheme = {
      #base00 = "171517"; #171517 default background
      #base01 = "1b181b"; #1b181b lighter background (status bar)
      #base02 = "aaaaaa"; #aaaaaa selection background
      #base03 = "383338"; #383338 comments, line highlighting
      #base04 = "e7dbdb"; #e7dbdb dark foreground
      #base05 = "f5f5f5"; #f5f5f5 default foreground, caret, delimiters, operators
      #base06 = "ffffff"; #ffffff light foreground
      #base07 = "f7f3f7"; #f7f3f7 light background
      #base08 = "ffa600"; #ffa600 variables
      #base09 = "00ff66"; #00ff66 ints, bools, constants
      #base0A = "20df6c"; #20df6c classes, search text background
      #base0B = "ff0066"; #ff0066 strings
      #base0C = "6600ff"; #6600ff regex, escape chars
      #base0D = "00ffff"; #00ffff functions, methods, headings
      #base0E = "007fff"; #007fff keywords, storage, selector
      #base0F = "df206c"; #df206c Opening/Closing embedded language tags

      base00 = "#1a1b26";
      base01 = "#232433";
      base02 = "#2e2f40";
      base03 = "#44475a";
      base04 = "#c3aed6";
      base05 = "#f5c2e7";
      base06 = "#f8bdc9";
      base07 = "#ffffff";
      base08 = "#f28fad"; # Red
      base09 = "#f8a488"; # Orange
      base0A = "#f9e2af"; # Yellow
      base0B = "#a6e3a1"; # Green
      base0C = "#94e2d5"; # Cyan
      base0D = "#89b4fa"; # Blue
      base0E = "#b4befe"; # Purple
      base0F = "#f38ba8"; # Additional pink-red (optional)
    };

    cursor = {
      package = pkgs.bibata-cursors;
      name = "Bibata-Modern-Ice";
      size = 14;
    };

    fonts = {
      sizes = {
        applications = 10;
        desktop = 10;
        terminal = 9;
        popups = 8;
      };

      monospace = {
        package = pkgs.nerd-fonts.jetbrains-mono;
        name = "JetBrainsMono Nerd Font Mono";
      };

      sansSerif = {
        package = pkgs.dejavu_fonts;
        name = "DejaVu Sans";
      };

      serif = {
        package = pkgs.dejavu_fonts;
        name = "DejaVu Serif";
      };
    };

    polarity = "dark";

    image = ../../assets/wallpaper/bocchi-light-guitar.png;
  };
}
